#pragma once

// USB device params
#define HID_VENDOR_ID 0x3297
#define HID_PRODUCT_ID 0x4976
#define HID_USAGE 0x61
#define HID_USAGE_PAGE 0xFF60

// USB packet size, in bytes.
// Usually 32, but depends on keyboard.
#define RAW_EPSIZE 32

// How many milliseconds to wait between reconnect attempts
#define RECONNECT_SLEEP_MS 500

// How many keys in a column * resolution per key.
// this MUST fit inside a uint8_t (i.e, <= 255).
#define KB_RESOLUTION (5 * 50)

// How many resolution steps to skip at the top and bottom.
#define BOTTOM_SKIP 100
#define TOP_SKIP 0

// Spectrum visualizer range
#define MIN_HZ 100
#define MAX_HZ 5000